<?php
// $Id: sf_cache_ui.file.inc,v 1.1.2.1 2008/03/24 21:41:23 timcn Exp $

/**
 * @file
 * Contains the user interface for managing files.
 */


/**
 * Menu callback; displays a confirmation page before deleting a file.
 */
function sf_cache_ui_file_delete($fid) {
  $file = sf_cache_file_load($fid);

  if ($file) {
    $form = array(
      'fid' => array('#type' => 'value', '#value' => $fid),
      'destination' => array('#type' => 'value', '#value' => isset($_GET['destination']) ? $_GET['destination'] : 'admin/build/sf_cache'),
    );

    return confirm_form($form,
       t('Are you sure you want to delete the file %path?', array('%path' => $file['filepath'])),
       isset($_GET['destination']) ? $_GET['destination'] : 'admin/build/sf_cache',
       t('The file will be removed from all bundles in Support file Cache. If it is used again later, it will be added as standalone file. This action cannot be undone.'),
       t('Delete'), t('Cancel'));
  }
  else {
    drupal_not_found();
    exit;
  }
}

/**
 * Submit callback; handles removal of a file from the database.
 */
function sf_cache_ui_file_delete_submit($form_id, $form_values) {
  $file = sf_cache_file_load($form_values['fid']);
  if ($file) {
    sf_cache_file_delete($form_values['fid']);
    drupal_set_message(t('The file %path has been deleted.', array('%path' => $file['filepath'])));
  }

  // Update all files accordingly.
  sf_cache_ui_submit_update();
}
